Skip to main content
POST
Purchase a subscription with multiple products

Authorizations

Authorization
string
header
required

OAuth 2.0 Authentication

Headers

X-IDEMPOTENCY-KEY
string

Query Parameters

dryrun
boolean
default:false

Simulates the subscription purchase to generate the initial transaction amounts without sending it for processing.

Body

application/json
accountId
string
required

A unique identifier.

Maximum string length: 256
billingPlanId
string
required

A unique identifier.

Maximum string length: 256
items
object[]
required
paymentMethodId
string

Must be provided when purchasing a Subscription (dryrun=false). Can be omitted when dryrun=true (e.g. for retrieving tax amount).

Maximum string length: 256
metadata
object

A set of key/value pairs that you can attach to an object. Useful for storing additional information.

policy
object

Response

OK

subscription
object
transaction
object
nextTransaction
object